#include <iostream>
#include <string>
#include <cmath>

using namespace std;

int main()
{
    string s,c1,c2,res;
    int a1,a2;
    cin>>s>>a1>>a2;
    c1=s[0];
    c2=s[1];
    if(abs(a1-a2)>1)
    {
        cout<<"nemoguce";
    }
    else
    {
        res=c1;
        for(int i=1;i<a1+a2;i++)
        {
            if(i%2==0)
            {
                res+=c1;
            }
            else
            {
                res+=c2;
            }
        }
    }
    cout<<res;
    return 0;
}